{% extends 'base.html.twig' %}

{% block title %}Importat des travaux{% endblock %}

{% block body %}
<h2 class="text-center">Import des travaux</h2>
  <div>
    {{ form_start(form) }}
      {{ form_widget(form) }}
    {{ form_end(form) }}
  </div>


  <div class="d-{{ status }}">
    <div class="table-responsive">
      <table class="listingImport table-striped  m-auto">
        <thead class="thead">
          <tr class="border">
            <th class="text-center indiceImport"> </th>
            <th class="text-center">Travaux</th>
            <th class="text-center">Bâtiment</th>

            <th class="text-center">{{ 'workHasBuilding.costHt'|trans }}</th>
            <th class="text-center">{{ 'workHasBuilding.costTtc'|trans }}</th>
            <th class="text-center">{{ 'workHasBuilding.syndicFees'|trans }}</th>
            <th class="text-center">{{ 'workHasBuilding.masteryFees'|trans }}</th>
            <th class="text-center">{{ 'workHasBuilding.spsFees'|trans }}</th>
            <th class="text-center">{{ 'workHasBuilding.technicalFees'|trans }}</th>
            <th class="text-center">{{ 'workHasBuilding.insurance'|trans }}</th>
          </tr>
        </thead>

        <tbody>
          {% for data in datas %}
            <tr class="border">
              <td class="text-center listingImportOne" id="index-{{ loop.index }}">{{ loop.index }}</td>
              <td class="text-center listingImportTwo" id="A{{ loop.index }}">{{ data.work }}</td>
              <td class="text-center listingImportTwo" id="B{{ loop.index }}">{{ data.building }}</td>
              <td class="text-center listingImportTwo" id="C{{ loop.index }}">{{ data.costHt }}</td>
              <td class="text-center listingImportTwo" id="D{{ loop.index }}">{{ data.costTtc }}</td>
              <td class="text-center listingImportTwo" id="E{{ loop.index }}">{{ data.syndicFees }}</td>
              <td class="text-center listingImportTwo" id="F{{ loop.index }}">{{ data.masteryFees }}</td>
              <td class="text-center listingImportTwo" id="G{{ loop.index }}">{{ data.spsFees }}</td>
              <td class="text-center listingImportTwo" id="H{{ loop.index }}">{{ data.technicalFees }}</td>
              <td class="text-center listingImportTwo" id="I{{ loop.index }}">{{ data.insurance }}</td>
            </tr>
          {% endfor %}
        </tbody>
      </table>
    </div>

    {% if errors is not empty %}
      <div class="panel-group">
        <div class="panel panel-default">
          <div class="panel-heading">
            <h4 class="panel-title">
              <button class="btn btn-outline-danger buttonBottom" data-toggle="collapse" data-target="#collapse-errors" role="button">Erreurs {{ errors|length }}</button>
            </h4>
          </div>
          <div class="panel-collapse collapse" id="collapse-errors">
            <ul class="list-group">
              {% for error in errors %}
                <li class="list-group-item">{{ error }}</li>
              {% endfor %}
            </ul>
          </div>
        </div>
      </div>
    {% else %}
      <a class="btn btn-outline-success buttonBottom" href="{{ path('coOwnership_view', {'id':coOwnership.id}) }}">Valider</a>
    {% endif %}
  </div>

{% endblock %}


{% block javascripts %}

  <script>

   /*let inputFile = document.getElementById('upload_file');
   inputFile.addEventListener('')*/

    $(document).on('change', '.custom-file-input', function () {
      let fileName = $(this).val().replace(/\\/g, '/').replace(/.*\//, '');
      $(this).parent('.custom-file').find('.custom-file-label').text(fileName);
    });


  </script>

{% endblock %}
